Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 1480346 - [RFE] Need a server side tool to assist with the process of changing the hostname of the Katello server
[RFE] Need a server side tool to assist with the process of changing the host...
Status: CLOSED ERRATA
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Infrastructure (Show other bugs)
6.0.0
Unspecified Unspecified
high Severity high (vote)
: Beta
: Unused
Assigned To: John Mitsch
Jan Hutař
http://projects.theforeman.org/issues...
: FutureFeature, PrioBumpGSS, Reopened, Triaged
Depends On:
Blocks: CEE_Sat6_Top_BZs/GSS_Sat6_Top_Bugs 1152797 sat61-release-notes 1269671
  Show dependency treegraph
 
Reported: 2017-08-10 15:44 EDT by pm-sat@redhat.com
Modified: 2018-02-21 07:39 EST (History)
39 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of: 924383
Environment:
Last Closed: 2018-02-21 07:39:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 1232133 None None None 2017-08-10 15:44 EDT
Foreman Issue Tracker 17522 None None None 2017-08-10 15:44 EDT
Foreman Issue Tracker 18403 None None None 2017-08-10 15:44 EDT
Foreman Issue Tracker 20821 None None None 2017-10-02 09:25 EDT
Red Hat Product Errata RHSA-2018:0336 normal SHIPPED_LIVE Important: Satellite 6.3 security, bug fix, and enhancement update 2018-02-21 17:43:42 EST

  None (edit)
Comment 2 Jan Hutař 2017-09-26 06:15:44 EDT
Missing manual page - reported bug 1495567
Comment 6 pm-sat@redhat.com 2017-09-26 10:02:31 EDT
Upstream bug assigned to jomitsch@redhat.com
Comment 9 John Mitsch 2017-09-27 14:48:01 EDT
You only have to update short hostnames if you are using short hostnames instead of your FQDN, FQDNs are automatically updated. 

I'll look into the issue you ran across more in detail. Just to confirm, the katello-change-hostname command was successful?
Comment 10 Jan Hutař 2017-09-27 15:10:48 EDT
Thank you!

I'm sorry I have not checked is exit value, but there were no obvious error in the output.
Comment 15 John Mitsch 2017-10-04 09:37:01 EDT
Moving this back to ON_QA, please retest in the upcoming snap
Comment 24 errata-xmlrpc 2018-02-21 07:39:59 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0336

Note You need to log in before you can comment on or make changes to this bug.